#!/bin/sh

IFS=
PATH="/usr/sbin:/usr/bin:/sbin:/bin"

PASSWORD_FILE=/var/mobile/Library/Preferences/com.pmbaty.pcnetworking-password

if [ `sysctl -n kern.maxfiles` -lt 30000 ]; then
	sysctl -w kern.maxfiles=30000
fi
if [ `sysctl -n kern.maxfilesperproc` -lt 30000 ]; then
	sysctl -w kern.maxfilesperproc=30000
fi
if [ `sysctl -n security.mac.proc_enforce` -eq 1 ]; then
	sysctl -w security.mac.proc_enforce=0
fi

if [ -f $PASSWORD_FILE ]; then
	cat $PASSWORD_FILE | /var/samba/bin/pdbedit -a root -t
	rm -f $PASSWORD_FILE
fi

if [ -n "$(cat /etc/hosts|grep Samba)" ]; then
	if [ "x$(cat /etc/hosts|grep Samba|grep $HOSTNAME)" = "x" ]; then
		cat /etc/hosts|grep -v Samba > /etc/hosts
	fi
fi
if [ -z "$(cat /etc/hosts|grep $HOSTNAME)" ]; then
	echo "127.0.0.1	$HOSTNAME	# for Samba" >> /etc/hosts
fi

if [ ! -f /etc/printcap ]; then
	echo "" > /etc/printcap
fi

/var/samba/sbin/nmbd -D
/var/samba/sbin/smbd -D
